(* Theorems on lists *)

Require Import Coq.Lists.List.


Fixpoint in' {A B : Type} (a : A) (b : B) (l : list (A * B)) : Prop :=
  match l with
  | nil =>
      False
  | (a', b') :: tl =>
      a' = a /\ b' = b \/ a' <> a /\ in' a b tl
  end.
